{% extends 'base.html.twig' %}

{% block title %}reservation n{{booking.id}}{% endblock %}

{% block body %}

{%set ad=booking.ad%}
{%set author=ad.author%}
<div class="container">
<h1>votre reservation n{{booking.id}}</h1>
<div class="row">
<div class="col">
<div class="alert alert-light">
<h2>details</h2>
<dl class="row">
<dt class="col-md-4">numero</dt>
<dt class="col-md-8">{{booking.id}}</dd>
<dt class="col-md-4">date start</dt>
<dt class="col-md-8">{{booking.startDate | date('d/m/Y')}}</dd>
<dt class="col-md-4">date end</dt>
<dt class="col-md-8">{{booking.endDate | date('d/m/Y')}}</dd>
<dt class="col-md-4">num de nuit</dt>
<dt class="col-md-8">{{booking.duration}}</dd>
<dt class="col-md-4">total</dt>
<dt class="col-md-8">{{booking.amount}} &euro</dd>
<dt class="col-md-4">comment</dt>
<dt class="col-md-8">{{booking.comment}}</dd>
</dl><hr>
<h2 class="alert-heading">votre hote</h2>
<div class="row">
<div class="col-3">
<img src="../{{author.picture}}" width=100%>
</div>
<div class="col-9">
<h4>
<a href="{{path('user',{'id':author.id})}}">{{author.firstName}}</a></h4>
<span class="badge badge-primary">{{author.ads | length}}annonces</span>
</div></div>
{{author.description}}
</div>

<div class="alert alert-light" id="comment">
<h2 class="alert-heading">votre avis compte</h2>
{%if date() > date(booking.endDate)%}
{%set comment=booking.ad.getCommentFromAuthor(app.user)%}
{%if comment is not null%}
<blockquote>
{{comment.content}}
</blockquote>
note: {% include 'partials/rating.html.twig' with {'rating':comment.rating}%}
{%else%}
{{form_start(form)}}
{{form_widget(form)}}
<button type="submit" class="btn btn-success">save</button>
{{form_end(form)}}
{%endif%}
{%else%}
you have to wait until the end of your Reservation
{%endif%}

</div>
</div>
<div class="col">
<div class="alert alert-light">
<h2 class="alert-heading">votre hebergement</h2>
<h4><a href="{{path('ads_show',{'id':ad.id})}}">{{ad.title}}</a></h4>
<img src="../{{ad.coverImage}}" width=100%>
{{ad.content}}
</div></div></div></div>
{% endblock %}
